[pkg-fso-commits] [SCM] Various non-packaged files branch, master, updated. 68d149398d50c734c9db76a82dd7d25894b738b4

Steffen Moeller steffen_moeller at gmx.de
Sat Feb 21 12:42:20 UTC 2009


The following commit has been merged in the master branch:
commit cefa50e3f10ba0637ef0ec7e6f99d49383688a30
Author: Steffen Moeller <steffen_moeller at gmx.de>
Date:   Fri Feb 20 23:16:47 2009 +0100

    Indenting the recent addition.

diff --git a/install.sh b/install.sh
index 80913be..01f8ace 100755
--- a/install.sh
+++ b/install.sh
@@ -793,36 +793,38 @@ echo " * Installing dash as /bin/sh: $DASH_BINSH"
 echo 'dash dash/sh string $DASH_BINSH' | chroot $INST_DIR debconf-set-selections
 chroot $INST_DIR apt-get --yes --force-yes install dash
 
-case "$WITH_WIFI" in
- "wicd")
-	echo " * Installing wicd for wifi setup"
-	if [ -r "$INST_DIR/etc/wicd/manager-settings.conf" ]; then
-		grep -v ^wired_interface "$INST_DIR/etc/wicd/manager-settings.conf" > \
-			"$INST_DIR/etc/wicd/manager-settings.conf"
-	else
-		mkdir $INST_DIR/etc/wicd
-	fi
-	echo "wired_interface =" >> $INST_DIR/etc/wicd/manager-settings.conf
+	case "$WITH_WIFI" in
+	  "wicd")
+		echo " * Installing wicd for wifi setup"
+		if [ -r "$INST_DIR/etc/wicd/manager-settings.conf" ]; then
+			grep -v ^wired_interface "$INST_DIR/etc/wicd/manager-settings.conf" > \
+				"$INST_DIR/etc/wicd/manager-settings.conf"
+		else
+			mkdir $INST_DIR/etc/wicd
+		fi
+		echo "wired_interface =" >> $INST_DIR/etc/wicd/manager-settings.conf
+
+		if ! chroot $INST_DIR apt-get --yes install wicd; then
+			echo
+			echo "The installation of wicd has failed. This is probably ignorable."
+			echo "Please report nonetheless to pkg-fso-maint at lists.alioth.debian.org."
+			echo
+			echo "The installation continues."
+			echo
+		fi
+		sed -i '/^exec/iwicd-client --no-animate &' $INST_DIR/root/.xsession
+		;;
 
-	if ! chroot $INST_DIR apt-get --yes install wicd; then
-		echo
-		echo "The installation of wicd has failed. This is probably ignorable."
-		echo "Please report nonetheless to pkg-fso-maint at lists.alioth.debian.org."
+	  "none")
+		# no installation to be performed
+		;;
+
+	  *)
 		echo
-		echo "The installation continues."
+		echo "Unsupported Wifi: '$WITH_WIFI'"
 		echo
-	fi
-	sed -i '/^exec/iwicd-client --no-animate &' $INST_DIR/root/.xsession
-	;;
- "none")
-	# no installation to be performed
-	;;
- *)
-	echo
-	echo "Unsupported Wifi: '$WITH_WIFI'"
-	echo
-	;;
-esac
+		;;
+	esac
 
 if [ -f "$WPA_SUPPLICANT_CONF" ]; then
 	echo " * Installing wpasupplicant, wireless-tools and udhcpc"

-- 
Various non-packaged files



More information about the pkg-fso-commits mailing list